- [HTTP request](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility#body.request_body)
- [Response body](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility#body.CheckAddOnCreationEligibilityResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/classroom/reference/rest/v1/courses/checkAddOnCreationEligibility#body.aspect)

> [!WARNING]
> This item is deprecated!

Returns whether a user is eligible to create add-on attachments in a given course.

This method is deprecated. Use `https://developers.google.com/workspace/classroom/reference/rest/v1/userProfiles/checkUserCapability#body.PATH_PARAMETERS.user_id` instead.

This method returns the following error codes:

- `PERMISSION_DENIED` if the requesting user is not permitted to access the requested course or for [access errors](https://developers.google.com/workspace/classroom/reference/Access.Errors).
- `INVALID_ARGUMENT` if the request is malformed.
- `NOT_FOUND` if the requested course does not exist.

### HTTP request

`GET https://classroom.googleapis.com/v1/courses/{courseId}:checkAddOnCreationEligibility`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `courseId` | `string` Required. Identifier of the course. |

### Request body

The request body must be empty.

### Response body

Whether a teacher user is allowed to create add-on attachments for a given course.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "courseId": string, "isCreateAttachmentEligible": boolean } ``` |

| Fields ||
|---|---|
| `courseId` | `string` Immutable. Identifier of the course. |
| `isCreateAttachmentEligible` | `boolean` Whether the teacher is allowed to create add-on attachments in this course. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/classroom.addons.teacher`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).